# Create_Invalid_Reason

Create a invalid reason.

`POST /v2/invalid-reasons`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Invalid Reason
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/x-www-form-urlencoded`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Invalid%20Reason/Create_Invalid_Reason/

## Description

Create an invalid reason for an account.  This will be shared with all companies/clients of the account.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `name` | string | formData | Yes | The name of the Invalid Reason. |
| `description` | string | formData | Yes | The description of the Invalid Reason. |
| `document_types` | object | formData | Yes | The document type of the invalid reason. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `InvalidReasonResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `InvalidReasonResource`

CertCapture invalid reason resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | InvalidReasonResponse | No |  |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/invalid-reasons" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Accept: application/json"
```